/*
 * Class DATE_TIME_MEASUREMENT
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_878 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_878 [] = {0xFF01,237,877,0xFFFF};
static const EIF_TYPE_INDEX egt_2_878 [] = {0xFF01,877,0xFFFF};
static const EIF_TYPE_INDEX egt_3_878 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_878 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_878 [] = {0xFF01,877,0xFFFF};
static const EIF_TYPE_INDEX egt_6_878 [] = {0xFF01,877,0xFFFF};
static const EIF_TYPE_INDEX egt_7_878 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_878 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_878 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_878 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_878 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_878 [] = {0xFF01,877,0xFFFF};
static const EIF_TYPE_INDEX egt_13_878 [] = {0xFF01,869,0xFFFF};
static const EIF_TYPE_INDEX egt_14_878 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_15_878 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_16_878 [] = {0xFF01,250,0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_17_878 [] = {0xFF01,250,0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_18_878 [] = {0xFF01,250,0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_19_878 [] = {0xFF01,250,0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_20_878 [] = {0xFF01,285,206,0xFFFF};
static const EIF_TYPE_INDEX egt_21_878 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_22_878 [] = {0xFF01,876,0xFFFF};
static const EIF_TYPE_INDEX egt_23_878 [] = {0xFF01,873,0xFFFF};


static const struct desc_info desc_878[] = {
	{EIF_GENERIC(NULL), 12772, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_878), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_878), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_878), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_878), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_878), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_878), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_878), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_878), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_878), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_878), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_878), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_878), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06DB /*877*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_878), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12721, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12722, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_878), 12723, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_878), 12724, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12751, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12752, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12753, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12754, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12755, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12756, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_878), 12757, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_878), 12758, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_878), 12759, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_878), 12760, 0xFFFFFFFF},
	{EIF_GENERIC(egt_19_878), 12761, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 12762, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 12763, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_878), 12750, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12725, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12726, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12727, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12728, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12729, 0xFFFFFFFF},
	{EIF_GENERIC(egt_21_878), 12730, 0xFFFFFFFF},
	{EIF_GENERIC(egt_22_878), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_23_878), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12765, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12766, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12767, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12768, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12769, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12770, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0185 /*194*/), 12771, 0xFFFFFFFF},
};
void Init878(void)
{
	IDSC(desc_878, 0, 877);
	IDSC(desc_878 + 1, 1, 877);
	IDSC(desc_878 + 32, 397, 877);
	IDSC(desc_878 + 36, 387, 877);
	IDSC(desc_878 + 50, 395, 877);
	IDSC(desc_878 + 56, 406, 877);
}


#ifdef __cplusplus
}
#endif
